## xserver-xorg-video-geode-lts-utopic 2.11.16

=== debian/changelog ===
xserver-xorg-video-geode-lts-utopic (2.11.16-5~trusty1) trusty-proposed; urgency=medium

  * Rebuild utopic package for lts-trusty for all archs. (LP: #1400626)

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Tue, 06 Jan 2015 10:39:17 +0100

xserver-xorg-video-geode (2.11.16-5) unstable; urgency=medium

  * debian/control:
    + Provides: xorg-driver-video
      This reverses part of the previous changes. Without this, APT uninstalls
      the whole X.Org if no other video driver is installed (Closes: #769042).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 11 Nov 2014 01:07:59 +0200

xserver-xorg-video-geode (2.11.16-4) unstable; urgency=medium

  * debian/control,debian/rules; Gotten one step closer to XSF:
    = Migrated ${xserver:Depends/Provides} to ${xviddriver:Depends/Provides}
  * debian/control; Removed cruft leftover from X11R6 to X11R7 transition:
    - Conflicts: xserver-xorg-driver-geode
    - Provides: xorg-driver-video
    - Replaces: xserver-xorg (<< 7.1), xserver-xorg-driver-geode
  * debian/rules:
    = Reverted to dpkg-buildflags to fetch CPPFLAGS, CFLAGS, LDFLAGS
    - dh_auto_configure: --disable-static --with-pic

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 14 Sep 2014 13:32:11 +0300

xserver-xorg-video-geode (2.11.16-3) unstable; urgency=medium

  * Migrated to debhelper-7 build system:
    + Simplified [debian/rules] to use a single dh command with overrides.
    + Dropped the Build-Depends on CDBS.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 09 Sep 2014 01:55:18 +0300

xserver-xorg-video-geode (2.11.16-2) unstable; urgency=medium

  * Implemented autoreconf as per (https://wiki.debian.org/Autoreconf):
    + Build-Depends: dh-autoreconf
    + debian/rules: include /usr/share/cdbs/1/rules/autoreconf.mk
  * Implemented upstream GPG signature checking in debian/watch.
  * Bumped Standards-Version up to 3.9.5 (no change required).
  * Bumped compatibility to Debhelper 8.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 27 Aug 2014 12:00:26 +0300

xserver-xorg-video-geode (2.11.16-1) unstable; urgency=medium

  * New upstream release:
    - Removed: 0001_xserver-1.15_FTBFS.patch (merged upstream).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 17 Jul 2014 04:13:59 +0300

xserver-xorg-video-geode (2.11.15-2) unstable; urgency=medium

  * Merged fix for FTBFS against Xserver 1.15 (Closes: #736984).
    Thanks to Maarten Lankhorst for the fix.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 08 Feb 2014 15:38:02 +0200

xserver-xorg-video-geode (2.11.15-1) unstable; urgency=low

  * New upstream release.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 09 Oct 2013 19:27:49 +0300

xserver-xorg-video-geode (2.11.14-3) unstable; urgency=low

  * Pushing to unstable.
  * Bumped Standards-Version up to 3.9.4 (no change required).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 06 May 2013 16:43:13 +0300

xserver-xorg-video-geode (2.11.14-2) experimental; urgency=low

  * Merged upstream Git commit ed0b153f320a95a11bd561726d2405823573500e
    "Remove mibstore.h" by Adam Jackson. Removed since xserver 1.14.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 19 Mar 2013 18:21:13 +0200

xserver-xorg-video-geode (2.11.14-1) unstable; urgency=low

  * New stable upstream maintenance release:
    - Dropped all patches (merged upstream).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 25 Nov 2012 12:14:22 +0200

xserver-xorg-video-geode (2.11.13-8) unstable; urgency=low

  * Merged upstream Git up to 45ca66ee73bfe04a7ac17e2086f2e5d20bfa93e9
    + lx_exa: Improvements to negative srcX/Y PictOpSrc/Over operations
    Fixes regressions that appear in GNOME's fallback mode icon rendering,
    hence we're pushing this to unstable for a Wheezy freeze exception.
  * Dropped the following non-essential patches from upstream Git:
    - 0010-NEWS-add-information-about-releases-since-2.11.9.patch
    - 0013-Clarified-the-copyright-and-license-of-src-geode_msr.patch
    This essentially means that Wheezy would ship with Geode 2.11.14,
    minus the documentation changes.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 24 Nov 2012 10:15:23 +0200

xserver-xorg-video-geode (2.11.13-7) unstable; urgency=low

  * Merged upstream Git up to a46486b05f4674fc17f36947c97bc281c1d00d26
    + lx_exa: Implement solid pictures support as source with a mask
    + lx_exa: Remove unused srcPixmap member from exaScratch
    Fixes regressions that appear in GNOME's fallback mode icon rendering,
    hence we're pushing this to unstable for a Wheezy freeze exception.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 23 Oct 2012 14:45:43 +0300

xserver-xorg-video-geode (2.11.13-6) unstable; urgency=low

  * Merged upstream GIT up to 65d9954ef61b7e22252d38cc81db710a8ec0b22b
    + lx_exa: Downgrade src/dst format warnings to fallbacks to not spam log
    + lx_exa: Fix crash with solid fills on PictOpAdd operations
    Fixes regressions that appear in GNOME's fallback mode icon rendering,
    hence we're pushing this to unstable for a Wheezy freeze exception.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 18 Sep 2012 15:27:40 +0300

xserver-xorg-video-geode (2.11.13-5) experimental; urgency=low

  * debian/rules:
    + --link-doc=xserver-xorg-video-geode

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 26 Aug 2012 16:41:05 +0300

xserver-xorg-video-geode (2.11.13-4) experimental; urgency=low

  * Merged upstream GIT up to 0e64b1252c51e380f72f6ff0bdb6836a6e27071d
    + Fixes compilation against X server 1.13 API.
  * Refresh all previous patches.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 10 Aug 2012 17:27:00 +0300

xserver-xorg-video-geode (2.11.13-3) unstable; urgency=low

  * Merged upstream GIT commit b9afafec0a26eaec49e7f0ff08297c2bb795a9c2
    "geode: fix compile on x86-64 in tinderbox"
  * Bumped Standards-Version up to 3.9.3 (no change required).


