=== debian/rules ===
#!/usr/bin/make -f
# debhelper-7 [debian/rules] for xserver-xorg-video-geode
#
# COPYRIGHT © 2007-2014 Martin-Éric Racine <martin-eric.racine@iki.fi>
#
# LICENSE
# GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>
#
export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_install: xdepends
	find debian/tmp -name '*.la' -delete
	dh_install --fail-missing

override_dh_installdocs:
	dh_installdocs --link-doc=xserver-xorg-video-geode-lts-utopic NEWS README TODO

override_dh_shlibdeps:
	dh_shlibdeps -- --warnings=6

override_dh_strip:
	dh_strip --dbg-package=xserver-xorg-video-geode-lts-utopic-dbg

%:
	dh $@ --with autoreconf

# Check for xserver-xorg-dev (<< 1.7) Depends: xserver-xorg-core.
XMINVERS = $(shell cat /usr/share/xserver-xorg/serverminver 2>/dev/null)
# Check for xserver-xorg-dev (<< 1.9) Provides: ABI.
VIDEOABI = $(shell cat /usr/share/xserver-xorg/videoabiver 2>/dev/null)
# Check for xserver-xorg-dev (>= 1.8) Depends: ABI, xserver-xorg-core.
VIDEODEP = $(shell cat /usr/share/xserver-xorg/videodrvdep 2>/dev/null)

xdepends:
ifneq ($(XMINVERS),)
	# Building against xserver-xorg-dev (<< 1.7) Depends: xserver-xorg-core.
	echo "xviddriver:Depends=xserver-xorg-core (>= $(XMINVERS))" >> debian/xserver-xorg-video-geode-lts-utopic.substvars
endif
ifneq ($(VIDEOABI),)
	# Building against xserver-xorg-dev (<< 1.9) Provides: ABI.
	echo "xviddriver:Provides=xserver-xorg-video-$(VIDEOABI)" >> debian/xserver-xorg-video-geode-lts-utopic.substvars
endif
ifneq ($(VIDEODEP),)
	# Building against xserver-xorg-dev (>= 1.8) Depends: ABI, xserver-xorg-core.
	echo "xviddriver:Depends=$(VIDEODEP)" >> debian/xserver-xorg-video-geode-lts-utopic.substvars
endif
.PHONY: xdepends
#EOF
